Subject: Re: What's cooking in git.git (Aug 2011, #07; Wed, 24)

From: Michael Haggerty <[email-masked]>
Date: Thu, 25 Aug 2011 09:43:50 +0200

On 08/25/2011 02:09 AM, Junio C Hamano wrote:
> * mh/iterate-refs (2011-08-14) 6 commits
>  - Retain caches of submodule refs
>  - Store the submodule name in struct cached_refs
>  - Allocate cached_refs objects dynamically
>  - Change the signature of read_packed_refs()
>  - Access reference caches only through new function get_cached_refs()
>  - Extract a function clear_cached_refs()
> 
> I did not see anything fundamentally wrong with this series, but it was
> unclear what the benefit of these changes are.  If the series were to read
> parts of the ref hierarchy (like refs/heads/) lazily, the story would
> have been different, though.

I am still working on lazy reading and hierarchical storage of reference
caches.  It's OK with me if you defer merging the above patch series
until I have made more progress on the more significant improvements.

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/